@import "src/app/sass/abstracts/variables";

.tour-dashboard {

  &__container {
    // just some values that look good lol
    padding: 0 calc(100vw / 20);
  }

  &__row {
    background-color: $custom-light-grey-2;
    box-shadow: 0 3px 9px rgba(0, 0, 0, 0.33);
    animation: moveInBottom 1s .8s ease-out backwards;
    height: 60rem;
  }

  &__map {
    height: 100%;

    &--component {
      height: 100%;
    }
  }
}

.tour-form {
  height: 100%;
  background-image:
    linear-gradient(to right, rgba(white, .2), rgba(white, .2)),
    url("../../../assets/images/tour-dashboard/form-background.jpg");
  background-size: cover;
  background-position: center;

  &__heading {
    text-align: center;
    display: block;
  }
}

.search {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: space-around;
  height: 60%;
  margin-top: 8rem;

  &__group {
    width: 50%;
    text-align: center;
  }

  &__input {
    width: 90%;
    font-family: inherit;
    font-size: 2rem;
    color: inherit;
    background-color: rgba($custom-light-grey-2, .9);
    border: none;
    padding: .7rem 2rem;
    border-radius: 10rem;
    transition: all .2s;
    margin-right: -3.25rem;

    &:focus {
      outline: none;
      width: 100%;
    }

    &::-webkit-input-placeholder {
      font-weight: 100;
    }
  }

  &__button {
    border: none;
    background-color: $custom-light-grey-2;
    position: relative;
    z-index: 1000;

    &:focus {
      outline: none;
    }

    &:active {
      transform: translateY(.2rem);
    }

    &:hover {
      cursor: pointer;
    }
  }

  &__icon {
    color: #656567;
  }
}
